# SubAddHostEvent (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Event

## Class SubAddHostEvent

- java.lang.Object
- - net.md_5.bungee.api.plugin.Event
  - - net.ME1312.SubServers.Bungee.Event.SubAddHostEvent

All Implemented Interfaces:
  net.md_5.bungee.api.plugin.Cancellable, SubEvent

    public class SubAddHostEvent
    extends net.md_5.bungee.api.plugin.Event
    implements SubEvent, net.md_5.bungee.api.plugin.Cancellable

Host Add Event

### Constructor Summary

Constructors
Constructor and Description
`SubAddHostEvent(java.util.UUID player, Host host)` Host Add Event

### Method Summary

All Methods Instance Methods Concrete Methods
`Host` `getHost()` Gets the Host to be Added
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`boolean` `isCancelled()` Gets the Cancelled Status
`void` `setCancelled(boolean value)` Sets the Cancelled Status

### Methods inherited from class net.md_5.bungee.api.plugin.Event

`postCall`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubAddHostEvent

    public SubAddHostEvent(java.util.UUID player,
                           Host host)

Host Add Event

Parameters:
  `player` - Player Adding Server
  `host` - Host Being Added

### Method Detail

#### getHost

    public Host getHost()

Gets the Host to be Added

Returns:
  The Host to be Added

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### isCancelled

    public boolean isCancelled()

Gets the Cancelled Status

Specified by:
  `isCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`
Returns:
  Cancelled Status

#### setCancelled

    public void setCancelled(boolean value)

Sets the Cancelled Status

Specified by:
  `setCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`